Embed
List an embed user's projects
Returns non-archived projects owned by the host-site user, with each project's statuses. Requires `EMBED_WRITE`. An unknown `externalUserId` returns an empty list and `embedUser: null`. Creating a task still uses `POST /projects/{projectId}/tasks` and `TASKS_WRITE`.
Returns non-archived projects owned by the host-site user, with each project's statuses. Requires EMBED_WRITE. An unknown externalUserId returns an empty list and embedUser: null. Creating a task still uses POST /projects/{projectId}/tasks and TASKS_WRITE.
x-api-key<token>
In: header
Query Parameters
externalUserId*string
limit?integer
Range
value <= 100Default
50offset?integer
Range
0 <= valueDefault
0search?string
Response Body
application/json
curl -X GET "https://example.com/embed/projects?externalUserId=string"{ "data": [ { "id": "string", "name": "string", "description": "string", "statuses": [ { "id": "string", "name": "string", "type": "TODO", "rank": "string" } ] } ], "embedUser": { "id": "string", "externalUserId": "string", "displayName": "string", "email": "[email protected]" }, "meta": { "total": 0, "limit": 0, "offset": 0 }}
Planeward Docs